( cd usr/bin ; rm -rf i3-with-shmlog )
( cd usr/bin ; ln -sf i3 i3-with-shmlog )
( cd usr/share/apps/kdm/sessions ; rm -rf i3.desktop )
( cd usr/share/apps/kdm/sessions ; ln -sf /usr/share/xsessions/i3.desktop i3.desktop )

#!/bin/sh
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
	mv $NEW $OLD
elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
	rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
preserve_perms () {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
if [ -e $OLD ]; then
	cp -a $OLD ${NEW}.incoming
	cat $NEW > ${NEW}.incoming
	mv ${NEW}.incoming $NEW
fi
config $NEW
}

for i in etc/i3/config.new etc/i3/config.keycodes.new 
do
	preserve_perms $i
done
if [ -x /usr/bin/update-mime-database ]; then
    /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi
if [ -x /usr/bin/update-desktop-database ]; then
    /usr/bin/update-desktop-database -q usr/share/applications
fi 
